Get User Followings
curl --request GET \
--url https://api.aisa.one/apis/v1/twitter/user/followings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/twitter/user/followings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/twitter/user/followings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"followings": [
{
"type": "<string>",
"userName": "<string>",
"url": "<string>",
"id": "<string>",
"name": "<string>",
"isBlueVerified": true,
"verifiedType": "<string>",
"profilePicture": "<string>",
"coverPicture": "<string>",
"description": "<string>",
"location": "<string>",
"followers": 123,
"following": 123,
"canDm": true,
"createdAt": "<string>",
"favouritesCount": 123,
"hasCustomTimelines": true,
"isTranslator": true,
"mediaCount": 123,
"statusesCount": 123,
"withheldInCountries": [
"<string>"
],
"possiblySensitive": true,
"pinnedTweetIds": [
"<string>"
],
"isAutomated": true,
"automatedBy": "<string>",
"unavailable": true,
"message": "<string>",
"unavailableReason": "<string>"
}
],
"has_next_page": true,
"next_cursor": "<string>",
"status": "success",
"msg": "<string>",
"code": 123
}User Endpoints
Get User Followings
List the accounts a given X user follows, identified by @handle.
GET
https://api.aisa.one/apis/v1
/
twitter
/
user
/
followings
Get User Followings
List the accounts a given X user follows, identified by @handle.
Returns 200 entries per page with
has_next_page and next_cursor. Use this to infer a user’s interests, information sources, or professional network — who someone follows is usually a stronger signal of intent than who follows them.
For the opposite direction use get_twitter_user_followers. To test a single specific pair without paging through thousands of records, use get_twitter_user_check_follow_relationship.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Screen name of the user.
The cursor to paginate through the results. First page is empty.
The number of followings to return per page.
Required range:
20 <= x <= 200